# Create a Netography API Key

To authenticate to the API, you need to create a new API key and then save the `netosecret` field displayed when saving the API key.

If you are using an older API client that requires you provide an `appname`, `appkey`, and `sharedsecret`, convert the `netosecret` to those fields at:[Decoding netosecret](https://docs.netography.com/reference/netosecret).

#### Adding a new API Key

1. In the Netography portal, select **Settings** at the bottom of the left-hand navigation menu
2. In the **User Management** section of Settings, select **API Keys**.
3. Select the **Add API Key** button.
4. Complete the fields and click Save.
5. Select the clipboard icon to copy the `netoseceret` value to your clipboard. You cannot retrieve this value again after you leave this screen.
6. Paste the clipboard value into a secure storage location for your secret. Using a secrets manager or vault is recommended.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusion.vectra.ai/api-reference/create-a-netography-api-key.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
